The validation of one signature of a document: its status, the reasons for it, and what was read on the way (the byte range, the digest algorithm, the signer certificate and the certificate path that was built).
public sealed class PdfSignatureValidation
ISO 32000-2 §12.8.1 (verification: the signer's certificate is determined and verified, the digest recomputed and compared) and §12.8.3 (Table 260, CMS signatures). The signer's path is validated at the time of a verified signature time-stamp token (§12.8.3.4.8) and the revocation of each of its certificates checked (§12.8.3.4.6; RFC 5280 §6.3, RFC 6960). Modification detection (§12.8.2.2.2, §12.8.2.4): what the incremental updates after the signed revision changed, and whether the permissions in effect and the signature's field locks allow it.
kind:method, kind:property, kind:ctor. Press Esc to clear.ByteRangeGets the ByteRange as read: pairs of offset from the first byte of the file and length; empty when unreadable.CertificatePathGets the certificate path that was built: the signer's certificate first, then each issuer, ending at a trust anchor when the chain is trusted; empty when there is no signer certificate.CertificationPermissionsGets the changes a certification signature permits after it (its DocMDP transform parameters' P), or null for an approval signature or a document timestamp. Only the document's first signature certifies: a DocMDP reference in a later one is ignored (§12.8.1).CoversWholeFileGets a value indicating whether the byte ranges reach the end of the file (only white space after them). When they do not, later incremental updates follow the signed revision (§12.8.1, NOTE 1); what they changed is not examined here.DigestAlgorithmGets the digest algorithm of the signer information, or null when it was not read.FieldGets the signature field whose value the signature dictionary is.FieldNameGets the field's fully qualified name.ModificationsGets what the incremental updates after the signed revision changed, in revision order, each with whether the permissions in effect and the signature's field locks allow it; empty when nothing follows the signed revision or it is unknown.ProblemsGets the reasons the signature is not valid; empty when it is.RevocationsGets the revocation status of each certificate of CertificatePath but the trust anchor (and a self-signed end of an untrusted chain), at ValidationTime, in path order.SignedRevisionGets the index in Revisions of the revision the signature covers: the one whose end the byte ranges end at; null when they end elsewhere or could not be read.SignerCertificateGets the signer's certificate, or null when the signature does not carry it.StatusGets the outcome.SubFilterGets the signature dictionary's SubFilter, or null when it has none.TimestampGets the validation of the signature's time-stamp token: the first signature time-stamp attribute of a CMS signature, or, for a document timestamp (ETSI.RFC3161), the token the signature is. null when there is none.ValidationTimeGets the time the signer's certificate path was validated at: the time of Timestamp when that token is Valid and earlier than ValidationTime, otherwise that option (the time validation ran, by default).